## gender-details

gender-details — New general types required by Folks.

## Functions

void | folks_gender_details_change_gender ()
void | folks_gender_details_change_gender_finish ()
FolksGender | folks_gender_details_get_gender ()
void | folks_gender_details_set_gender ()

## Types and Values

enum | FolksGender
| FolksGenderDetails
struct | FolksGenderDetailsIface

## Description

## Functions

### folks_gender_details_change_gender ()

    void
    folks_gender_details_change_gender (FolksGenderDetails *self,
                                        FolksGender gender,
                                        GAsyncReadyCallback _callback_,
                                        gpointer _user_data_);

Change the contact's gender.

It's preferred to call this rather than setting "gender" directly, as this method gives error notification and will only return once the gender has been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the gender failed

See also: `folks_gender_details_change_gender_finish()`

#### Parameters

self | the FolksGenderDetails instance |
gender | . the contact's gender . | [in]
_callback_ | callback to call when the request is satisfied. | [scope async]
_user_data_ | the data to pass to `_callback_` function. | [closure]

Since: 0.6.2

### folks_gender_details_change_gender_finish ()

    void
    folks_gender_details_change_gender_finish
                                   (FolksGenderDetails *self,
                                    GAsyncResult *_res_,
                                    GError **error);

Change the contact's gender.

It's preferred to call this rather than setting "gender" directly, as this method gives error notification and will only return once the gender has been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the gender failed

See also: `folks_gender_details_change_gender()`

#### Parameters

self | the FolksGenderDetails instance |
_res_ | a GAsyncResult |
error | location to store the error occurring, or `NULL` to ignore. | [error-domains FolksPropertyError]

Since: 0.6.2

### folks_gender_details_get_gender ()

    FolksGender
    folks_gender_details_get_gender (FolksGenderDetails *self);

Get and return the current value of the "gender" property.

The gender of the contact.

#### Parameters

self | the FolksGenderDetails instance to query |

#### Returns

the value of the "gender" property

Since: 0.3.5

### folks_gender_details_set_gender ()

    void
    folks_gender_details_set_gender (FolksGenderDetails *self,
                                     FolksGender value);

Set the value of the "gender" property to `value` .

The gender of the contact.

#### Parameters

self | the FolksGenderDetails instance to modify |
value | the new value of the "gender" property |

Since: 0.3.5

## Types and Values

### enum FolksGender

The gender of a contact

#### Members

FOLKS_GENDER_UNSPECIFIED | The gender of the contact is unknown or the contact didn't specify it. |
FOLKS_GENDER_MALE | The contact is male. |
FOLKS_GENDER_FEMALE | The contact is female. |

Since: 0.3.5

### FolksGenderDetails

    typedef struct _FolksGenderDetails FolksGenderDetails;

Gender of a contact.

This allows representation of the gender of a contact.

Since: 0.3.5

### struct FolksGenderDetailsIface

    struct FolksGenderDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_gender) (FolksGenderDetails* self, FolksGender gender, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_gender_finish) (FolksGenderDetails* self, GAsyncResult* _res_, GError** error);
    	FolksGender (*get_gender) (FolksGenderDetails* self);
    	void (*set_gender) (FolksGenderDetails* self, FolksGender value);
    };

Interface for creating FolksGenderDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_gender` () | virtual method called by `folks_gender_details_change_gender()` |
`change_gender_finish` () | asynchronous finish function for `change_gender`, called by `folks_gender_details_change_gender()` |
`get_gender` () | getter method for the abstract property "gender" |
`set_gender` () | setter method for the abstract property "gender" |